package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.MpActivityQueryReq;
import com.seer.teach.mp.admin.controller.req.MpActivityReq;
import com.seer.teach.mp.admin.controller.resp.AdminActivityResp;
import com.seer.teach.mp.entity.MpActivityEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminActivityConvert {

    AdminActivityConvert INSTANCE = Mappers.getMapper(AdminActivityConvert.class);

    MpActivityEntity convert(MpActivityReq req);

    MpActivityEntity convert(MpActivityQueryReq req);

    AdminActivityResp convertToResp(MpActivityEntity entity);

    List<AdminActivityResp> convertToRespList(List<MpActivityEntity> list);
}